VERSION 2.00
Begin Form frm_PathDlg 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   2610
   ClientLeft      =   1335
   ClientTop       =   2310
   ClientWidth     =   6855
   ControlBox      =   0   'False
   Height          =   3015
   Left            =   1275
   LinkMode        =   1  'Source
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2610
   ScaleWidth      =   6855
   Top             =   1965
   Width           =   6975
   Begin PictureBox pic_Icon 
      AutoSize        =   -1  'True
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   0  'None
      Height          =   480
      Left            =   180
      Picture         =   PATH.FRX:0000
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   6
      TabStop         =   0   'False
      Top             =   120
      Width           =   480
   End
   Begin TextBox txt_Path 
      Height          =   285
      Left            =   2520
      TabIndex        =   0
      Top             =   1080
      Width           =   4095
   End
   Begin CommandButton cmd_Continue 
      Caption         =   "&Weiter"
      Default         =   -1  'True
      Height          =   435
      Left            =   1620
      TabIndex        =   1
      Top             =   1860
      Width           =   1575
   End
   Begin CommandButton cmd_Exit 
      Caption         =   "Setup be&enden"
      Height          =   435
      Left            =   3840
      TabIndex        =   2
      Top             =   1860
      Width           =   1575
   End
   Begin Label lab_Info 
      BackStyle       =   0  'Transparent
      Height          =   675
      Left            =   1020
      TabIndex        =   3
      Top             =   180
      Width           =   5595
   End
   Begin Label lab_Path 
      Alignment       =   1  'Right Justify
      BackStyle       =   0  'Transparent
      Height          =   195
      Left            =   840
      TabIndex        =   4
      Top             =   1140
      Width           =   1575
   End
   Begin Label lab_Drive 
      Caption         =   "lab_InDrive"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   1620
      Visible         =   0   'False
      Width           =   1275
   End
   Begin Label lab_OutButton 
      Caption         =   "lab_OutButton"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   1920
      Visible         =   0   'False
      Width           =   1275
   End
   Begin Label lab_OutPath 
      Caption         =   "lab_OutPath"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   2220
      Visible         =   0   'False
      Width           =   1275
   End
End
'============================================================
' Projekt        : Setup-Steuerung mit Hilfe von Makros
' Formname       : PATH.FRM
' Aufgabe        : Dialogfenster fr die Eingabe eines Pfades
'                  (z.B. Installationspfad)
' Copyright      : Arthur Burda
' Compiler       : Visual Basic 3.0 fr Windows
'============================================================
' l. nderung am : 27.07.1994
' Version        : 1.00
' Bemerkungen    : Erste Implementierung
'------------------------------------------------------------

Option Explicit

Dim Path$

'============================================================
' Routine : cmd_Continue_Click
'============================================================
' Aufgabe : berprft die Gltigkeit des eingegebenen Pfades,
'           setzt ggf. das Tag-Feld in lab_OutButton auf "Con-
'           tinue" und blendet das Dialogfenster aus.
' Eingabe : keine
' Ausgabe : keine
'------------------------------------------------------------
'
Sub cmd_Continue_Click ()

    Path$ = txt_Path.Text
    lab_Drive.Tag = Left$(Path$, 2)

    If IsValidPath(Path$, (lab_Drive.Tag)) Then
        lab_OutPath.Tag = Path$
        lab_OutButton.Tag = "Continue"
        frm_PathDlg.Hide
    Else
        ShowErrorBox2 "Kein gltiger Pfad"
        txt_Path.SetFocus
        txt_Path.SelStart = 0
        txt_Path.SelLength = Len(txt_Path.Text)
    End If

End Sub

'============================================================
' Routine : cmd_Exit_Click
'============================================================
' Aufgabe : Setzt das Tag-Feld in lab_OutButton auf "Exit" und
'           blendet das Dialogfenster aus.
' Eingabe : keine
' Ausgabe : keine
'------------------------------------------------------------
'
Sub cmd_Exit_Click ()

    If ShowYesNoBox(QuestionBoxCaption$, "Wollen Sie das Setup-Programm wirklich beenden?", 2) = IDYES Then
        lab_OutButton.Tag = "Exit"
        frm_PathDlg.Hide
    End If

End Sub

